package com.rc.httpcore.vo.response;

/**
 * 查询使用记录 response bean
 *
 * @author ReiChin_
 */
public class AioUserecordVo {

    public String cabinetName; // 机柜名称
    public String chemicalName; // 化学品名称
    public String chemicalNum; // 化学品编号
    public String chemicalUnit; // 化学品单位
    public String collectStockNum; // 领用时剩余库存
    public String collectTime; // 领用时间
    public String returnStockNum; // 归还时称重重量
    public String returnTime; // 归还时间
    public String subId; // 实验室ID
    public String type; // 查询类型：1 领用（默认），2 归还
    public String useStatus; // 领用状态（1是使用中，0是已归还，2是超时未归还）
    public String useStockNum; // 使用量
    public String userId; // 用户ID
    public String userecordId; // 记录ID

    public String decodeUseStatus() {
        if ("0".equals(useStatus)) return "已归还";
        if ("1".equals(useStatus)) return "使用中";
        if ("2".equals(useStatus)) return "超时未归还";
        return "";
    }

}
